#!/usr/bin/python3
import zlib
from struct import unpack
from sys import argv

f = open(argv[1], 'rb')
sig = f.read(3)
ver, = unpack('b', f.read(1))
print(f'{sig.decode("ascii")}\t{ver}')
if sig == b'CWS':
	s, = unpack('<I', f.read(4))
	z = zlib.decompressobj()
	test = z.decompress(f.read())
	if z.eof and len(test) + 8 == s:
		exit('Good')
	elif z.eof and len(test) + 8 != s:
		print(f'{s}\t{len(test)}\t{z.unused_data}\t{z.unconsumed_tail}')
		exit('Incorrect size but seems good')
	else:
		exit('Bad')